/*********************************************************************
*                   (c) SEGGER Microcontroller GmbH                  *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*       (c) 2003 - 2018     SEGGER Microcontroller GmbH              *
*                                                                    *
*       www.segger.com     Support: support_emusb@segger.com         *
*                                                                    *
**********************************************************************
*                                                                    *
*       emUSB-Host * USB Host stack for embedded applications        *
*                                                                    *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product.                          *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       emUSB-Host version: V2.15-r14144                             *
*                                                                    *
**********************************************************************
-------------------------- END-OF-HEADER -----------------------------

File    : USBH_TERM_API.h
Purpose : API for 2x20 POS displays
*/

/*********************************************************************
*
*       #include section
*
**********************************************************************
*/

/*********************************************************************
*
*       Defines, configurable
*
**********************************************************************
*/
#define USBH_TERM_LINES          2
#define USBH_TERM_COLUMS        20
#define USBH_TERM_VIRT_COLUMS   60
#define USBH_TERM_SHIFT_DELAY  250

#define USBH_TERM_MAX_DEVICES    5

void USBH_TERM_Init   (void);
void USBH_TERM_Exit   (void);
void USBH_TERM_Print  (unsigned Line, int XOffset, const char *sText);
void USBH_TERM_Scroll (void);


/*************************** End of file ****************************/
